3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php echo escapeshellcmd('openssl -param "val" -param "val"; openssl teve');
Output for 4.3.3 - 5.3.29, 5.4.1 - 7.1.7
openssl -param "val" -param "val"\; openssl teve
Output for 5.4.0
openssl -param val -param val\; openssl teve
Output for 4.3.0 - 4.3.2
openssl -param \"val\" -param \"val\"\; openssl teve